/*  TV Fixer for GP2X

	File: lang.c
	
  Copyright (C) 2006  Kounch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


#include <stdio.h>
#include <strings.h>
#include <stdlib.h>

#include "lang.h"

extern char *langStrings [LANGSTRINGSN];

int initLang(char *language)
  {
  int j;
  
  printf ("Init Lang: %s\n",language);
  
  for (j=0;j<LANGSTRINGSN;j++)
    {
	if (langStrings[j]==NULL) langStrings[j]=(char*) malloc (MAXSTRINGLEN);
	}

  if (!strcmp(language,"ES"))
    {
	strcpy(langStrings[0],"Argumentos incorrectos, se han detectado %i, debera ser solo uno.\n");
	strcpy(langStrings[1],"Ruta del archivo de configuracin: %s\n");
	strcpy(langStrings[2],"Error al leer el archivo de configuracin :-(\n");
	strcpy(langStrings[3],"Error en la rutina de interfaz de usuario.\n");
	strcpy(langStrings[4],"Analizando el archivo %s...\n");
	strcpy(langStrings[5],"Error abriendo el archivo.\n");
	strcpy(langStrings[6],"Encontrada clave %s con valor %s");
	strcpy(langStrings[7],"Detectado archivo loop.pid con valor %i.\n");
	strcpy(langStrings[8],"Archivo loop.pid no detectado.\n");
	strcpy(langStrings[9],"Versin de firmware: %s Velocidad de CPU: %iMHz");
	strcpy(langStrings[10],"Salida de vdeo: %s");
	strcpy(langStrings[11],"Estndar de TV: %s");
	strcpy(langStrings[12],"Correccin de vdeo: %s");
	strcpy(langStrings[13],"Tiempo de refresco: %i segundo(s)");
	strcpy(langStrings[14],"Pulse B o X para activar/desactivar");
	strcpy(langStrings[15],"Utilice L y R para ajustar el tiempo de refresco");
	strcpy(langStrings[16],"Pulse Start para Salir");
	strcpy(langStrings[17],"Error abriendo el archivo de versin de firmware.\n");
	strcpy(langStrings[18],"Cargando...");
	}
  else if (!strcmp(language,"EN"))
    {
	strcpy(langStrings[0],"Wrong arguments, detected %i, there should be only one.\n");
	strcpy(langStrings[1],"Config file path: %s\n");
	strcpy(langStrings[2],"Error while reading config file :-(\n");
	strcpy(langStrings[3],"Error in user interface routine.\n");
	strcpy(langStrings[4],"Analyzing file %s...\n");
	strcpy(langStrings[5],"Error while opening file.\n");
	strcpy(langStrings[6],"Found key %s with value %s");
	strcpy(langStrings[7],"Found loop.pid file with value %i.\n");
	strcpy(langStrings[8],"loop.pid file not found.\n");
	strcpy(langStrings[9],"Firmware Version: %s CPU Speed: %iMHz");
	strcpy(langStrings[10],"Video Out: %s");
	strcpy(langStrings[11],"TV Standard: %s");
	strcpy(langStrings[12],"Video Fix: %s");
	strcpy(langStrings[13],"Fix Refresh Time: %i second(s)");
	strcpy(langStrings[14],"Press B or X to enable/disable");
	strcpy(langStrings[15],"Use L and R to choose the refresh time");
	strcpy(langStrings[16],"Press Start to Exit");
	strcpy(langStrings[17],"Error reading firmware file version.\n");
	strcpy(langStrings[18],"Loading...");
    }
  else
    {
	fprintf(stderr,"LANG ERROR!!! Returning to default");
	initLang(DEFAULTLANG);
	}
	
  return (0);
  }
